This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268646 - [abrt] shotwell: _g_log_abort(): shotwell killed by SIGTRAP
[abrt] shotwell: _g_log_abort(): shotwell killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:59f2ead90ebbafe19bcdba8f706...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 06:06 EDT by Chris
Modified: 2016-07-19 14:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.80 KB, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: core_backtrace (4.60 KB, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: dso_list (14.14 KB, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: environ (854 bytes, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: maps (75.40 KB, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: open_fds (3.85 KB, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details
File: var_log_messages (294 bytes, text/plain)
2015-10-04 06:06 EDT, Chris
no flags Details

  None (edit)
Description Chris 2015-10-04 06:06:06 EDT
Description of problem:
I was downloading some photos and when I tried to resize the window it froze, but then it was okay. When I later looked at another application running on my computer, it froze again and then crashed. It also said that my hard drive was running low on space whilst copying, but it wasn't. I checked manually and the amount of space on the hard drive is more than adequate for the photos being downloaded.

Version-Release number of selected component:
shotwell-0.22.0-4.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        shotwell file:///run/media/christopher/NIKON%20D600
crash_function: _g_log_abort
executable:     /usr/bin/shotwell
global_pid:     3273
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:315
 #3 database_table_fatal at /usr/src/debug/shotwell-0.22.0/src/db/DatabaseTable.vala:92
 #4 photo_table_add at /usr/src/debug/shotwell-0.22.0/src/db/PhotoTable.vala:229
 #5 library_photo_import_create at /usr/src/debug/shotwell-0.22.0/src/Photo.vala:5024
 #6 batch_import_on_import_files_completed at /usr/src/debug/shotwell-0.22.0/src/BatchImport.vala:1031
 #7 _batch_import_on_import_files_completed_completion_callback at /usr/src/debug/shotwell-0.22.0/src/BatchImport.vala:721
 #8 background_job_on_notify_completion at /usr/src/debug/shotwell-0.22.0/src/threads/BackgroundJob.vala:198
 #9 _background_job_on_notify_completion_gsource_func at BackgroundJob.c:940
 #13 g_main_context_iteration at gmain.c:3869
 #14 g_application_run at gapplication.c:2308
Comment 1 Chris 2015-10-04 06:06:10 EDT
Created attachment 1079716 [details]
File: backtrace
Comment 2 Chris 2015-10-04 06:06:11 EDT
Created attachment 1079717 [details]
File: cgroup
Comment 3 Chris 2015-10-04 06:06:13 EDT
Created attachment 1079718 [details]
File: core_backtrace
Comment 4 Chris 2015-10-04 06:06:15 EDT
Created attachment 1079719 [details]
File: dso_list
Comment 5 Chris 2015-10-04 06:06:17 EDT
Created attachment 1079720 [details]
File: environ
Comment 6 Chris 2015-10-04 06:06:19 EDT
Created attachment 1079721 [details]
File: limits
Comment 7 Chris 2015-10-04 06:06:22 EDT
Created attachment 1079722 [details]
File: maps
Comment 8 Chris 2015-10-04 06:06:23 EDT
Created attachment 1079723 [details]
File: mountinfo
Comment 9 Chris 2015-10-04 06:06:25 EDT
Created attachment 1079724 [details]
File: namespaces
Comment 10 Chris 2015-10-04 06:06:26 EDT
Created attachment 1079725 [details]
File: open_fds
Comment 11 Chris 2015-10-04 06:06:28 EDT
Created attachment 1079726 [details]
File: proc_pid_status
Comment 12 Chris 2015-10-04 06:06:29 EDT
Created attachment 1079727 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 14:06:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.